Subject: Re: Can you do this with GIT?

From: Ray Lehtiniemi <[email-masked]>
Date: Fri, 27 Jul 2007 13:45:03 -0600

On Friday 27 July 2007 13:05, Johannes Schindelin wrote:
> On Fri, 27 Jul 2007, CPD wrote:

> > We produce variations based on a (mostly) common codebase. In CVS I set
> > up "environment" modules for each platform, then when you are working on
> > that platform, you simply check out the correct environment and build.
> > Only the needed code and tools are exposed in that environment (this is
> > important as clients must NOT see each other's code and most customers
> > have some customization). I do this by defining and renaming modules in
> > the CVSROOT modules file.
>
> I would use branches for that.  A base branch with the common code, and
> the customisations in all the branches, which merge from the base branch.

this would break down if there were client-specific modules in the base 
branch, though... how could those be hidden from the other clients?

ray